using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Shared.DTOs
{
    public class RCustomer
    {
        [Display(Name ="شناسه")]
        public int? ID { get; set; }
        [Display(Name = "نام کامل")]
        public string FullName { get; set; }
        [Display(Name = "نوع مشتری")]
        public string? CustomerTypeTitle { get; set; }
        [Display(Name = "تلفن")]
        public string? Phone { get; set; }
        //[Display(Name = "پست الکترونیک")]
        public string? Email { get; set; }
        [Display(Name = "آدرس")]
        public string? Address { get; set; }
        [Display(Name = "کد اقتصادی")]
        public string? EconomicCode { get; set; }
        //[Display(Name = "کد شعبه")]
        public string? BranchID { get; set; }//
        //[Display(Name = "توضیحات")]
        public string? Info { get; set; }//

        //------------
        public CustomerType CustomerType { get; set; }
        public string? ZipCode { get; set; }
        public string? MeliCode { get; set; }
        public string? PassportNumber { get; set; }//

    }
}
